commit 148b8c8e4c1332d8d11187f0d67148b4d3f6c8bb
Author: Jose E. Marchesi <jose.marchesi@oracle.com>
Date:   Wed Aug 12 16:54:53 2020 +0200

    bpf: add support for the -mxbpf option
    
    This patch adds support for a new option -mxbpf.  This tells GCC to
    generate code for an expanded version of BPF that relaxes some of the
    restrictions imposed by BPF.
    
    (cherry pick of 51e10276d6792f67f1d88d90f299e7ac1b1f1f24)
    
    2020-05-19  Jose E. Marchesi  <jose.marchesi@oracle.com>
    
    gcc/
            * config/bpf/bpf.opt (mxbpf): New option.
            * doc/invoke.texi (Option Summary): Add -mxbpf.
            (eBPF Options): Document -mxbbpf.

diff --git a/gcc/config/bpf/bpf.opt b/gcc/config/bpf/bpf.opt
index 78b93c55575..6aa858408f1 100644
--- a/gcc/config/bpf/bpf.opt
+++ b/gcc/config/bpf/bpf.opt
@@ -108,6 +108,12 @@ Enum(bpf_kernel) String(5.1) Value(LINUX_V5_1)
 EnumValue
 Enum(bpf_kernel) String(5.2) Value(LINUX_V5_2)
 
+; Use xBPF extensions.
+
+mxbpf
+Target Report Mask(XBPF)
+Generate xBPF.
+
 ; Selecting big endian or little endian targets.
 
 mbig-endian
